<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
?>
<script type="text/javascript">
function showCodeArea (check) {
	var x = document.getElementById ('code_area2');
	var x2 = document.getElementById ('code_area1');
	if (check.checked==1) {
		x.style.visibility = "hidden";
		x.style.display = "none";
		x2.style.visibility = "visible";
		x2.style.display = "block";		
	}
	else {
		x2.style.visibility = "hidden";
		x2.style.display = "none";
		x.style.visibility = "visible";
		x.style.display = "block";
	}		
}
</script>
<?php
require_once ("lib/misc.inc.php");
function isSecure() {
  return (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off')|| $_SERVER['SERVER_PORT'] == 443;
}
if (isset ($values["filename"])) 
{
?>
<p><input type="checkbox" id="cross_domains" name="full_path" onClick="javascript:showCodeArea(this);"><label for="cross_domains">&nbsp;Full URL (cross domains)</lable></p>
<?php
	$urlList = array ("code_area2"=>"dynpage/", "code_area1"=>(isSecure () ? "https" : "http")."://".$_SERVER['HTTP_HOST'].dirname ($_SERVER['REQUEST_URI'])."/");
	$list = splitFilename (basename ($values["filename"]));
	$list[0]=utf8_strtolower ($list[0]);
	foreach ($urlList as $area => $urlPath) {
	
		$copyAJAX = 
								"<script type=\"text/javascript\" src=\"".$urlPath."js/jquery.min.js\"></script>\n".
								"<script type=\"text/javascript\" src=\"".$urlPath."js/dynpage_load.js\"></script>\n";
		$copyAJAX2 = 					
								
								"<div id=\"".$list[0]."\"></div>\n".
								"<script type=\"text/javascript\">\n".
								"dynpageLoad ('".$list[0]."', '".$urlPath.getConf('content_path')."/".basename ($values["filename"])."');\n".
								"</script>\n";
								
		$pageIncludePath = $urlPath.getConf('content_path')."/".basename ($values["filename"]);	
	
		$copyPHP = "<?php include (\"".$pageIncludePath."\");?>";
		$copySSI = "<!--#include file=\"".$pageIncludePath."\" -->";
		$extra = "";
		if ($area=="code_area1")
			$extra="style=\"display:none;\""
?>
<div id="<?php echo $area;?>" <?php echo $extra;?>>
<h3>Integration with PHP (page file extension must be .php)</h3>
<div class="input_header">Copy the following code into &lt;body&gt; section.</div>
<p class="input_field"><input spellcheck="false" class="code" style="width:100%;" name="copy_php" value="<?php echo htmlspecialchars ($copyPHP);?>"></p>
<h3>Integration with Ajax/Javascript</h3>
<div class="input_header">Copy the following code into &lt;head&gt; section.</div>
<p class="input_field"><textarea spellcheck="false" class="code" style="width:100%;height:80px;" name="copy_ajax"><?php echo htmlspecialchars ($copyAJAX);?></textarea></p>
<div class="input_header">Copy the following code into &lt;body&gt; section.</div>
<p class="input_field"><textarea spellcheck="false" class="code" style="width:100%;height:120px;" name="copy_ajax2"><?php echo htmlspecialchars ($copyAJAX2);?></textarea></p>
<!--
<p>3. Integration with SSI:</p>
<p class="input_field"><input class="code" style="width:80%;" name="copy_ssi" value="<?php echo htmlspecialchars ($copySSI);?>"></p>
-->
</div>
<?php
	}
}
?>
