<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
?>
<h1>Administrators and rights</h1>
<?php 
printErrors (); 

if ($successText=="" && $cmd!="") {

?>
<form enctype="multipart/form-data" name="form1" method="post" autocomplete="off" action="">
<input type="hidden" name="cmd" value="<?php echo $cmd; ?>">
<input type="hidden" name="save" value="1">
<div class="input_field"><div style="float:left;width:120px;">E-Mail address:</div><input <?php if ($cmd!="new") echo ' readonly="readonly" '; ?> name="email" autocomplete="off" value="<?php echo htmlspecialchars ($values["email"]);?>" size="40">&nbsp;<?php echo $errors["email"]; ?></div>
<?php
if ($cmd!="password") {
?>
<div class="input_field"><div style="float:left;width:120px;"><label for="create_pages">Create new pages:</label></div><input type="checkbox" <?php if ($values["create_pages"]==1) echo "checked";?>  id="create_pages" name="create_pages" value="1">&nbsp;<?php echo $errors["create_pages"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;"><label for="delete_pages">Delete pages:</label></div><input type="checkbox" <?php if ($values["delete_pages"]==1) echo "checked";?>  id="delete_pages" name="delete_pages" value="1">&nbsp;<?php echo $errors["delete_pages"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;"><label for="file_uploads">File uploads:</label></div><input type="checkbox" <?php if ($values["file_uploads"]==1) echo "checked";?>  id="file_uploads" name="file_uploads" value="1">&nbsp;<?php echo $errors["file_uploads"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;">Edit pages:</div><div><?php echo $htmlPageSelect; ?></div></div>
<div class="input_field"><div style="float:left;width:120px;"><label for="all_pages">Edit all pages:</label></div><input type="checkbox" <?php if ($values["all_pages"]==1) echo "checked";?>  id="all_pages" name="all_pages" value="1">&nbsp;<?php echo $errors["all_pages"]; ?></div>
<?php
}

if ( $cmd=="new" || $cmd=="password") {
?>
<div class="input_field"><div style="float:left;width:120px;">Password:</div><input type="password" name="password_new" autocomplete="off"  value="" size="20">&nbsp;<?php echo $errors["password_new"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;">Reply password:</div><input type="password" name="password_new2" autocomplete="off"  value="" size="20">&nbsp;<?php echo $errors["password_new2"]; ?></div>
<?php
}
?>
<div class="input_button"><input value="Save" type="submit"></div>
</form>
<p><br><a href="?page=config_adminusers">Back to administrators</a></p>
<?php
}
else {
?>
<p><button onclick="window.location.href='?page=config_adminusers&cmd=new';return false;">New user</button></p>
<?php
echo $htmlUserList;
}
?>