<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
?>
<h1>CKeditor styles</h1>
<p class="tiny"><b>Note!</b><br />After changing the editor area CSS you have to reload your Webbrowser.<br />Otherwise CKeditor may cache old stylesheets.</p>
<?php 
printErrors (); 
?>
<form enctype="multipart/form-data" name="form1" method="post" action="">
<input name="cmd" type="hidden" value="edit">
<div>
	<div class="input_header">Editor area CSS</div>
	<div class="input_field"><textarea spellcheck="false" name="ckeditor_css" class="code" style="width:100%;height:150px;"><?php echo htmlspecialchars ($values['ckeditor_css']);?></textarea></div>
	<div class="input_header">Combo box style definitions (<a href="https://www.dynpage.net/faq.htm" target="_blank">CKeditor documentation</a>)</div>
	<div class="input_field"><textarea spellcheck="false" name="ckeditor_combo_styles"  class="code"  style="width:100%;height:150px;"><?php echo htmlspecialchars ($values['ckeditor_combo_styles']);?></textarea></div>
</div>
<div class="input_button"><input value="Save styles" type="submit"></div>
</form>
