<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
if (!defined ('DYNPAGE_LOGIN') || ($loginUserData && !$loginUserData["file_uploads"])) {
	exit;
}

?>
<style>
iframe.filebrowser {
	border:1px solid #DEDEDE;
	width:100%;
	height:500px;
}
</style>
<!--[if IE]>
<style>
* html iframe.filebrowser {
	border:0px solid #DEDEDE;
	border-top:1px solid #DEDEDE;
	width:<?php echo getConf ("editor_width");?>px;
}
</style>
<![endif]-->
<h1>Files</h1>
<?php
if (getConf ("use_ckfinder")) {
?>
	<p><a href="js/ckfinder/ckfinder.html" target="_blank">View files in full Window</a></p>
 <p><iframe class="filebrowser" src="js/ckfinder/ckfinder.html" frameborder="0" marginheight="0px" marginwidth="0px" scrolling="no"></iframe></p>
 <?php
 }
 else {
?>
<h2>Images</h2>
	<p><a href="js/kcfinder/browse.php?type=images" target="_blank">View images in full Window</a></p>

<p><iframe class="filebrowser" src="js/kcfinder/browse.php?type=images" frameborder="0" marginheight="0px" marginwidth="0px" scrolling="no"></iframe></p>
<h2>Files</h2>
	<p><a href="js/kcfinder/browse.php?type=files" target="_blank">View files in full Window</a></p>
<p><iframe class="filebrowser" src="js/kcfinder/browse.php?type=files" frameborder="0" marginheight="0px" marginwidth="0px" scrolling="no"></iframe></p>
<?php
}
?>