<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
if (!defined ('DYNPAGE_LOGIN')) {
  exit;
}
if ($loginUserData && !$loginUserData["create_pages"]) {
	die("Please select page.");
}
require_once ("lib/misc.inc.php");
print ("<h1>Create new page</h1>");
printErrors (); 
if (isset ($values["filename"])) 
{
	include ("dynpage.code.inc.php");
}
else
{
?>
<form spellcheck="false" enctype="multipart/form-data" name="form1" method="post" action="">
<input name="cmd" id="cmd" value="new" type="hidden">
<div class="input_button"><input name="Anlegen2" value="Create" type="submit"></div>

<table style="width:100%;margin-bottom:0px">
	<tr>
		<td style="width:50%;padding-right:5px;">
			<div class="input_header">Name of page <?php echo $errors["name"];?></div>
			<div class="input_field"><input autocomplete="off" id="focus_id" name="name" type="text" value="<?php echo htmlspecialchars($values['name']);?>" style="width:100%"></div>
		</td>
		
		<td style="width:50%;padding-left:5px;">
			<div class="input_header">Original URL of page (where you will insert the code)</div>
			<div class="input_field"><input autocomplete="off" name="url" type="text" value="<?php echo htmlspecialchars($values['url']);?>" style="width:100%"></div>
		</td>
	</tr>
</table>
<div class="input_header">Content of page</div>
<?php include ("dynpage.ckeditor.inc.php"); ?>
</form>
<?php
}
?>
