<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/


$ckFinderProps = "";
if ((int) getConf ("use_ckfinder")!=0) {
	$ckFinderProps = 
		"filebrowserBrowseUrl : 'js/ckfinder/ckfinder.html',".
		"filebrowserImageBrowseUrl : 'js/ckfinder/ckfinder.html?Type=Images',".
		"filebrowserFlashBrowseUrl : 'js/ckfinder/ckfinder.html?Type=Flash',".
		"filebrowserUploadUrl : 'js/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',".
		"filebrowserImageUploadUrl : 'js/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',".
		"filebrowserFlashUploadUrl : 'js/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash',";
}

if (!is_dir ("js/ckeditor".getConf ("ckeditor_version")."/skins/".getConf ("ckeditor_skin", "kama"))) {
  print ("<p class=\"error\"><b>CKEditor skin ".getConf ("ckeditor_skin", "kama")." was not found. Please check CKEditor skin directory and setup correct skin in config_global.inc.php</b></p>");
}
?>
<!-- CKeditor V3 -->
<p>
<textarea name="content"style="width:<?php echo getConf ("editor_width", 780);?>px;height:<?php echo getConf ("editor_height", 500);?>px;"><?php echo $values['content'];?></textarea>
<script type="text/javascript">

CKEDITOR.addStylesSet( 'cms_styles',
[
	<?php echo urldecode((getConf ("ckeditor_combo_styles"))); ?>
]);
/*
CKEDITOR.replace( 'content', {
	skin : 'v2',
	<?php echo ($ckFinderProps);?>
	contentsCss:'content/ckeditor.css',
	toolbar : 'CMS',
	height: <?php echo getConf ("editor_height", 500); ?>
});	
*/

//<![CDATA[


CKEDITOR.replace( 'content',
	{
		skin : '<?php echo getConf ("ckeditor_skin", "kama");?>',
		<?php echo ($ckFinderProps);?>
		contentsCss:'content/ckeditor.css',
		allowedContent : true,
		toolbar : 'CMS',
		height: <?php echo getConf ("editor_height", 500); ?>		
	});

//]]>



</script>
</p>
