<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
?>
<h1>Change password</h1>
<?php 
printErrors (); 
if ($successText=="") {
?>
<form enctype="multipart/form-data" name="form1" method="post" action="">
<input type="hidden" name="cmd" value="changepwd">
<div class="input_field"><div style="float:left;width:120px;">Old password:</div><input id="focus_id" type="password" name="dynpage_password_old" value="" size="20">&nbsp;<?php echo $errors["dynpage_password_old"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;">New password:</div><input type="password" name="dynpage_password_new" value="" size="20">&nbsp;<?php echo $errors["dynpage_password_new"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;">Reply password:</div><input type="password" name="dynpage_password_new2" value="" size="20">&nbsp;<?php echo $errors["dynpage_password_new2"]; ?></div>
<div class="input_field"><div style="float:left;width:120px;">E-Mail address:</div><input <?php if (DYNPAGE_LOGIN!=1) echo ' readonly="readonly" ';?> name="admin_email" value="<?php if ($values["admin_email"]!="admin") echo htmlspecialchars ($values["admin_email"]);?>" size="40">&nbsp;<?php echo $errors["admin_email"]; ?></div>
<div class="input_button"><input value="Change password" type="submit"></div>
<?php if (DYNPAGE_LOGIN!=1) echo '<p class="tiny">To change your E-Mail address please notify supversisor: <a href="mailto:'.getConf ("admin_email").'">'.getConf ("admin_email").'</a></p>'; ?>
</form>
<?php
}
?>