<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/
require_once ("lib/misc.inc.php");
?>
<script type="text/javascript">
function checkRemoving () 
{
	Check = confirm("Would you delete this page?");
	if (Check == true) {
		document.form1.cmd.value='delete';
		document.form1.submit();
	}
}

function loadOldVersion (selObj) {

  window.location.href='?file=<?php echo getParam ("file");?>&trashfile='+selObj.options[selObj.selectedIndex].value;
}

</script>
<h1>Edit page</h1>
<?php 
printErrors (); 
if ($pid!=0) {
print ($htmlInfoText);
?>
<form spellcheck="false" enctype="multipart/form-data" name="form1" method="post" action="?file=<?php echo $selectedFilename; ?>">
<input name="cmd" value="edit" type="hidden">
<input name="pid" value="<?php echo $pid;?>" type="hidden">
<div class="input_button"><?php if ((!$loginUserData || $loginUserData["delete_pages"]) && empty ($trashFilename)) { ?><span style="float:right;"><input class="yellow" type="button" value="Delete" onClick="javascript:checkRemoving();"></span><?php } ?><span><input name="Create2" value="Save & Publish" type="submit"></span></div>
<table style="width:100%;margin-bottom:0px">
	<tr>
		<td style="width:50%;padding-right:5px;">
			<div class="input_header">Name of page <?php echo $errors["name"];?></div>
			<div class="input_field"><input autocomplete="off" name="name" type="text" value="<?php echo htmlspecialchars($values['name']);?>" style="width:100%"></div>
		</td>
		
		<td style="width:50%;padding-left:5px;">
			<div class="input_header">Original URL of page <?php echo $errors["url"];?>&nbsp;<?php if ($values["url"]!="") { echo "<a href=\"".createWebsiteLink ($values["url"], true)."\" target=\"_blank\">Go to ...</a>"; }?></div>
			<div class="input_field"><input autocomplete="off" name="url" type="text" value="<?php echo htmlspecialchars($values['url']);?>" style="width:100%"></div>
		</td>
	</tr>
</table>
<div class="input_header"><span style="float:right;">Last changing: <?php echo date ("Y-m-d H:i:s", $values["filetime"]);?></span>Content of page</div>
<?php include ("dynpage.ckeditor.inc.php"); ?>
</form>
<?php if (count ($oldVersionList)) { echo '<p>Old versions: ';printKeyValueDropDownSelection ($oldVersionList, "trashfile", getParam ("trashfile"), "", "onChange=\"loadOldVersion(this)\"", true); echo '</p>'; } ?>
<?php
if (empty ($trashFilename))
  include ("dynpage.code.inc.php");
}
?>
