<?php
/*
DynPage V1.35 - A simple Content Management System
Copyright (C) 2009-2019 Matthias Wiede <mwiede@mwiede.de>

This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.

This program is distributed in the hope that it will be useful, but 
WITHOUT ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY 
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
for more details.

You should have received a copy of the GNU General Public License 
along with this program; if not, see http://www.gnu.org/licenses.
*/

require_once ("lib/input.inc.php");

$onLoad = "javascript:document.getElementById ('focus_id').focus();";

$FIELDS = array 
(
	"dynpage_email" =>  "0;s;m",
	"dynpage_password" =>  "0;s;m"
);


$values=array ();
$errors=array ();

$fShowErrors = false;
if ($cmd=="login")
	$fShowErrors = true;
$errCnt  = loadInputParams ($FIELDS, $values, 0, $errors, true, $fShowErrors);

$errText = "";
$successText = "";

function checkLogin ($email, $password) {
  global $userList;
  $superHash = getConf ("login_hash", getConf ("default_login_hash"));
	$hash = md5 ($email.":".$password);
	// Default admin/admin
	if ($superHash==$hash)
    return 1; // Super Admin
  foreach ($userList as $email2 => $userData) {
    if ($hash==$userData["hash"])
      return $userData;
  }
  return false;
}

switch ($cmd) 
{
	case "login":
    $values["dynpage_email"] = strtolower ($values["dynpage_email"]);
		if ($errCnt>0)
			$errText = "Please check marked fields.";
		else
		{
      $login = checkLogin ($values["dynpage_email"], $values["dynpage_password"]);
			// Default admin/admin
			if ($login===false) {
				$errText = "Invalid password.";
			}
			else 
      {
				$_SESSION["dynpage_is_login"] =  $login;
				if (isset ($_SESSION["dynpage_login_url"]) && $_SESSION["dynpage_login_url"]!="") {
					header ("Location:".$_SESSION["dynpage_login_url"]);
				}
				else
					header ("Location:?page=page_new");
				exit;
			}
		}
		break;
}
$values["dynpage_password"] = "";
?>